MavenpluginSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.maven.MavenpluginSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.maven
Class MavenpluginSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.modules.doc.AntdocSubTask
                      xdoclet.modules.maven.MavenpluginSubTask

All Implemented Interfaces:
  Serializable

public class MavenpluginSubTask
extends AntdocSubTask

Generates xdoclet Maven plugin.

Version:
  $Revision: 1.4 $
Author:
  Ara Abrahamian
See Also:
  Serialized Form
ant.element
  display-name="Maven plugin" name="mavenplugin" parent="xdoclet.DocletTask"
created
  21 September 2002

Nested Class Summary

Nested classes inherited from class xdoclet.modules.doc.AntdocSubTask
`AntdocSubTask.Element, AntdocSubTask.SubElement`

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary

Fields inherited from class xdoclet.modules.doc.AntdocSubTask
`classToAntElementMap`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`MavenpluginSubTask()`

Method Summary
`String` | `getDestinationFile()` Gets the DestinationFile attribute of the TemplateSubTask object
`void` | `init(xjavadoc.XJavaDoc xJavaDoc)` Describe what the method does
`protected void` | `startProcessForAll()`

Methods inherited from class xdoclet.modules.doc.AntdocSubTask
`generateForClass, matchesGenerationRules, processInnerClasses, validateOptions`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, copyAttributesFrom, engineFinished, engineStarted, execute, getAcceptAbstractClasses, getAcceptInterfaces, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcess, startProcessPerClass`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MavenpluginSubTask

    public MavenpluginSubTask()

Method Detail

### getDestinationFile

    public String getDestinationFile()

  Description copied from class: `TemplateSubTask`
  Gets the DestinationFile attribute of the TemplateSubTask object

  Overrides:
    `getDestinationFile` in class `AntdocSubTask`

### init

    public void init(xjavadoc.XJavaDoc xJavaDoc)
              throws XDocletException

  Description copied from class: `TemplateSubTask`
  Describe what the method does

  Overrides:
    `init` in class `AntdocSubTask`
  Throws:
    `XDocletException`

### startProcessForAll

    protected void startProcessForAll()
                               throws XDocletException

  Overrides:
    `startProcessForAll` in class `TemplateSubTask`
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD